<?php

use kernel\App;
use kernel\CgRouteCollector;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (CgRouteCollector $router) {
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "view"], function (CGRouteCollector $router) {
            App::$collector->get('/', [\app\modules\view\controllers\ViewController::class, 'actionIndex']);
            App::$collector->get('/page/{page_number}', [\app\modules\view\controllers\ViewController::class, 'actionIndex']);
            App::$collector->get('/create', [\app\modules\view\controllers\ViewController::class, 'actionCreate']);
            App::$collector->post("/", [\app\modules\view\controllers\ViewController::class, 'actionAdd']);
            App::$collector->get('/view/{id}', [\app\modules\view\controllers\ViewController::class, 'actionView']);
            App::$collector->any('/update/{id}', [\app\modules\view\controllers\ViewController::class, 'actionUpdate']);
            App::$collector->any("/edit/{id}", [\app\modules\view\controllers\ViewController::class, 'actionEdit']);
            App::$collector->get('/delete/{id}', [\app\modules\view\controllers\ViewController::class, 'actionDelete']);
        });
    });
});